<?php
// Array that holds all Post Options
// class is used to trigger some jQuery action

$custom_post_meta_fields = array(
		array(
			'label'	=> 'Hide Page Title?',
			'text' => 'On/Off',
			'desc'	=> 'Hides the page title',
			'id'	=> $prefix.'activate_page_title',
			'type'	=> 'checkbox',
			'default' => 'checked',
			'class' => 'tp_options content portfolio portfolio_sidebar index home_page contact'
		),
		array(
			'label'	=> 'Post Title Text',
			'desc'	=> 'Alternative Head Title over the content, leave blank for no title',
			'id'	=> $prefix.'header_title',
			'type'	=> 'text',
			'class' => ''
		),
		array (
			'label'	=> 'Page Title Orientation',
			'desc'	=> 'Sets the orientation of the page title text',
			'id'	=> $prefix.'title_orientation',
			'type'	=> 'radio',
			'default' => 'left',
			'options' => array (
				'left' => array (
					'label' => 'Left',
					'value'	=> 'left'
				),
				'center' => array (
					'label' => 'Center',
					'value'	=> 'center'
				)
			),
			'class' => ''
		),
		array(
			'label'	=> 'Activate Sidebar',
			'text' => 'On/Off',
			'desc'	=> 'Use a sidebar or full view',
			'id'	=> $prefix.'activate_sidebar',
			'type'	=> 'checkbox',
			'default' => 'checked',
			'class' => ''
		),
		array(
			'label'	=> 'Select Sidebar',
			'desc'	=> 'Choose the Sidebar to this Post',
			'id'	=>  $prefix.'sidebar',
			'default' => 'Blog Sidebar',
			'type'	=> 'sidebar_list',
			'class' => 'sidebar'
		),
		array (
			'label'	=> 'Sidebar Orientation',
			'desc'	=> 'Places the sidebar left or right',
			'id'	=> $prefix.'sidebar_orientation',
			'type'	=> 'radio',
			'default' => 'right',
			'options' => array (
				'right' => array ('label' => 'Right','value'	=> 'right'),
				'left' => array ('label' => 'Left','value'	=> 'left')
			),
			'class' => 'sidebar'
		),
		array(
			'label'	=> 'Custom Background Image',
			'desc'	=> 'Insert the url of a custom background image uploaded with the media uploader, leave blank to use the default background',
			'id'	=> $prefix.'custom_background',
			'type'	=> 'text',
			'class' => 'tp_options content portfolio portfolio_sidebar index home_page contact'
		)
);

$custom_post_type_meta_fields = array(
		array (
			'label'	=> 'Post Type',
			'desc'	=> 'Of which type is this blog post?',
			'id'	=> $prefix.'post_type',
			'type'	=> 'radio',
			'default' => 'image',
			'options' => array (
				'grandeur_post_type_text' => array ('label' => 'No special Type','value'	=> 'text'),
				'grandeur_post_type_image' => array ('label' => 'Image','value'	=> 'image'),
				'grandeur_post_type_video' => array ('label' => 'Video','value'	=> 'video'),
				'grandeur_post_type_slider' => array ('label' => 'Slider','value'	=> 'slider')
			),
			'class' => ''
		),
		array (
			'label'	=> 'Video Type',
			'desc'	=> 'Where is the video located?',
			'id'	=> $prefix.'video_type',
			'type'	=> 'radio',
			'default' => '',
			'options' => array (
				'youtube' => array ('label' => 'Youtube','value'	=> 'youtube'),
				'vimeo' => array ('label' => 'Vimeo','value'	=> 'vimeo')
			),
			'class' => 'post_type video youtube vimeo'
		),
		array(
			'label'	=> 'Youtube ID',
			'desc'	=> 'ID of the Youtube Video',
			'id'	=> $prefix.'youtube_id',
			'type'	=> 'text',
			'class' => 'post_type youtube'
		),
		array(
			'label'	=> 'Vimeo ID',
			'desc'	=> 'ID of the Vimeo Video',
			'id'	=> $prefix.'vimeo_id',
			'type'	=> 'text',
			'class' => 'post_type vimeo'
		),
		array(
			'label'	=> 'Video Width',
			'desc'	=> 'Width of the Video',
			'id'	=> $prefix.'video_width',
			'type'	=> 'text',
			'class' => 'post_type youtube vimeo'
		),
		array(
			'label'	=> 'Video Height',
			'desc'	=> 'Height of the Video',
			'id'	=> $prefix.'video_height',
			'type'	=> 'text',
			'class' => 'post_type youtube vimeo'
		),
		array(
			'label'	=> 'Select Slider',
			'desc'	=> 'Choose the Slider to this Page (make sure it is a FULLWIDTH Slider to fit the container)',
			'id'	=>  $prefix.'slider',
			'default' => '',
			'type'	=> 'slider_list',
			'class' => 'post_type slider'
		),
		array(
			'label'	=> '',
			'id' 	=> '',
			'desc'	=> 'Please use the "<strong>featured image</strong>" option of WP to display thumb preview pics and optional lightbox pics',
			'type'	=> 'desc',
			'class' => 'post_type slider audio flv webm'
		)
);
?>