<?php


/* ------------------------------------- */
/* grandeur LATEST PROJECTS WIDGET */
/* ------------------------------------- */



class grandeurLatestProjects extends WP_Widget {

	function grandeurLatestProjects() {
		$widget_ops = array('classname' => 'grandeurLatestProjects', 'description' => 'A widget to display links to the latest projects.');
    	$this->WP_Widget('grandeurLatestProjects', 'Grandeur Latest Projects', $widget_ops);
	}
	
	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance ); 
		$portfolio_category = "";
		?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></p>
        
        <p><label for="<?php echo $this->get_field_id( 'projectcount' ); ?>">Number of Projects to show:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'projectcount' ); ?>" name="<?php echo $this->get_field_name( 'projectcount' ); ?>" value="<?php if( isset($instance['projectcount']) ) echo $instance['projectcount']; ?>" /></p> 

        <?php if ( !isset($instance['projectdisplay'])) $instance['projectdisplay']="text";

        ?>

		<p style="display:none"><label for="<?php echo $this->get_field_id( 'projectdisplay' ); ?>">Display Type:</label><br />
			<div style="display:none" style="white-space:nowrap"><input  type="radio" id="<?php echo $this->get_field_id( 'projectdisplay' ); ?>" name="<?php echo $this->get_field_name( 'projectdisplay' ); ?>" value="text" <?php if( isset($instance['projectdisplay']) &&  $instance['projectdisplay'] == "text") echo "checked"; ?> > Text</div>
			<div style="display:none" style="white-space:nowrap"><input  type="radio" id="<?php echo $this->get_field_id( 'projectdisplay' ); ?>" name="<?php echo $this->get_field_name( 'projectdisplay' ); ?>" value="image" <?php if( isset($instance['projectdisplay']) &&  $instance['projectdisplay'] == "image") echo "checked"; ?> > Image</div></p> 
        <p>
		<?php 
                $portfolio_slugs = get_option("grandeur_portfolio_slug");
                $portfolio_counter = 0;
                $portfolio_name = get_option("grandeur_portfolio_name");
                $portfolio_list = "";
                foreach ( $portfolio_slugs as $slug ){
                    $checked="";
                    if(isset($instance['portfolio_category']) && $slug==$instance['portfolio_category']) $checked="selected";
                    $portfolio_list .= "<option value='$slug' $checked >".$portfolio_name[$portfolio_counter++]."</option>";
                }
        
        echo '<select name="'.$this->get_field_name( 'portfolio_category' ).'" class="widefat" >'.$portfolio_list.'
        </select></p>';
    }

	function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title'] );
		if ( isset($instance['id']) ) $id = $instance['id'];
		$projectcount = $instance['projectcount'];
		$portfolio_category = $instance['portfolio_category'];
		$type = $instance['projectdisplay'];
		echo $before_widget;
		
		$grandeur_teaser_readmore = __('Read More', 'grandeur');

	   	if ( $title ) echo $before_title . $title . $after_title;
		
		$columndiv = "";

		$pcat = "category_".$portfolio_category;
		$args=array(
			'post_type' => $portfolio_category,
			'posts_per_page' => $projectcount
		);

		$rownumber = 2;
		global $wp_query;
		$temp = $wp_query; 
		$wp_query = null;
		$wp_query = new WP_Query();
		$wp_query->query($args);
		$terms = get_terms($pcat);
		$popcount=1;
		$unique = uniqid();
		$poplist = get_posts( $args );
		$element_count=1;
					echo '<div class="widget_projects"><ul>';
		foreach ($poplist as $poppost) :  setup_postdata($poppost);
           	    $category = get_the_category($poppost->ID);
           	    if(isset($category[0]))
					$first_category = $category[0]->cat_name;
				else
					$first_category = "uncatagorized";
				$repl = strtolower((preg_replace('/\s+/', '-', $first_category)));
				$base = home_url();

				/*if(strlen($poppost->post_title)>18)
					$posttitle = substr($poppost->post_title, 0, 18)."...";
				else*/
					$posttitle = $poppost->post_title;
                
                if($popcount == sizeof($poplist)) $last=" style='margin-bottom:7px;'";
                else $last="";

				$blogimageurl = wp_get_attachment_url( get_post_thumbnail_id($poppost->ID) ); 
				$theblogimage = aq_resize( $blogimageurl, 50, 50, true );
                
					echo '<li><a href="'.get_permalink($poppost->ID).'" data-rel="tooltip" title="'.$posttitle.'"><img src="'.$theblogimage.'" alt="" /></a></li>';
		
				$popcount++;
      endforeach;
      	echo '</ul></div>';

		echo $after_widget;

	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['projectcount'] = $new_instance['projectcount'];
		$instance['portfolio_category'] = $new_instance['portfolio_category'];
		$instance['projectdisplay'] = $new_instance['projectdisplay'];
		return $instance;
	}
}
add_action( 'widgets_init', create_function('', 'return register_widget("grandeurLatestProjects");') );

/* ------------------------------------- */
/* grandeur POSTS WIDGET */
/* ------------------------------------- */


class grandeurPosts extends WP_Widget {

	function grandeurPosts() {
		$widget_ops = array('classname' => 'grandeurPosts', 'description' => 'A popular/latest posts widget.');
    	$this->WP_Widget('grandeurPosts', 'Grandeur Popular/Latest Posts', $widget_ops);
	}
	
	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance ); ?>

		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></p>

        <p><label for="<?php echo $this->get_field_id( 'postcount' ); ?>">Post Count:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'postcount' ); ?>" name="<?php echo $this->get_field_name( 'postcount' ); ?>" value="<?php if( isset($instance['postcount']) ) echo $instance['postcount']; ?>" /></p>
        
        <p><label for="<?php echo $this->get_field_id( 'poplatest' ); ?>">Latest or Popular:</label><br />
        <select class="widefat" id="<?php echo $this->get_field_id( 'poplatest' ); ?>" name="<?php echo $this->get_field_name( 'poplatest' ); ?>">
        	<option value="1" <?php 
        		if( isset($instance['poplatest']) && $instance['poplatest']== 1 ) {
        			echo "selected"; 
        		}
        	?>>Latest Posts</option>
        	<option value="2" <?php 
        		if( isset($instance['poplatest']) && $instance['poplatest']== 2 ) {
        			echo "selected"; 
        		}
        	?>>Popular Posts</option>
        </select>
        </p>
        
        <p><label for="<?php echo $this->get_field_id( 'posttype' ); ?>">Show this Category Slug:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'posttype' ); ?>" name="<?php echo $this->get_field_name( 'posttype' ); ?>" value="<?php if( isset($instance['posttype']) ) echo $instance['posttype']; ?>" /></p>
        <!--
        <p><label for="<?php echo $this->get_field_id( 'timeformat' ); ?>">Time Format (see <a href="http://codex.wordpress.org/Formatting_Date_and_Time" target="_blank">here</a>):</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'timeformat' ); ?>" name="<?php echo $this->get_field_name( 'timeformat' ); ?>" value="<?php if( isset($instance['timeformat']) ) echo $instance['timeformat']; ?>" /></p>
        -->
        
	<?php
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		if ( isset($instance['id']) ) $id = $instance['id'];
		$pcount = $instance['postcount'];
		$platest = $instance['poplatest'];
		$ptype = $instance['posttype'];
		$tformat = $instance['timeformat'];
		$rmore = $instance['readmore'];
		
		$grandeur_teaser_readmore = __('Read More', 'grandeur');

		echo $before_widget;
		
	   	if ( $title ) echo $before_title . $title . $after_title;
		
		if($ptype==""){
			$ptype = 'post';
		}

		$category = get_category_by_slug($ptype);
		if($category)$catid = $category->term_id;
		else $catid="";

		if($platest==1){
			$popargs = array( 'numberposts' => $pcount, 'orderby' => 'post_date', 'cat' => $catid );
		}else{
			$popargs = array( 'numberposts' => $pcount, 'orderby' => 'comment_count', 'cat' => $catid );
		}
		$unique = uniqid();
		$poplist = get_posts( $popargs );
		$popcount=1;
					echo '<div class="widget_posts"><ul>';
		foreach ($poplist as $poppost) :  setup_postdata($poppost);
           	    $category = get_the_category($poppost->ID);
           	    if(isset($category[0]))
					$first_category = $category[0]->cat_name;
				else
					$first_category = "uncatagorized";
				$repl = strtolower((preg_replace('/\s+/', '-', $first_category)));
				$base = home_url();

				/*if(strlen($poppost->post_title)>18)
					$posttitle = substr($poppost->post_title, 0, 18)."...";
				else*/
					$posttitle = $poppost->post_title;
                
                if($popcount == sizeof($poplist)) $last=" style='margin-bottom:7px;'";
                else $last="";


                	echo '<li><a href="'.get_permalink($poppost->ID).'"><span>&rsaquo;</span> '.$posttitle.'</a></li>';
												
							
				
				$popcount++;
      endforeach;
      	echo '</ul>
								</div>';

		echo $after_widget;
	}


	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['postcount'] = $new_instance['postcount'];
		$instance['poplatest'] = $new_instance['poplatest'];
		$instance['posttype'] = $new_instance['posttype'];
		$instance['timeformat'] = $new_instance['timeformat'];
		$instance['readmore'] = $new_instance['readmore'];
		return $instance;
	}
}
add_action( 'widgets_init', create_function('', 'return register_widget("grandeurPosts");') );



/* ------------------------------------- */
/* TWITTER TimeLine FEED WIDGET */
/* ------------------------------------- */


class grandeurTwitterTimelinefeed extends WP_Widget {

 function grandeurTwitterTimelinefeed() {
  $widget_ops = array('classname' => 'grandeurTwitterTimelinefeed', 'description' => 'Twitter Timeline Widget');
     $this->WP_Widget('grandeurTwitterTimelinefeed', 'Twitter Timeline Feed', $widget_ops);
 }
 
 function form( $instance ) {
  $instance = wp_parse_args( (array) $instance ); ?>
        
        <p><label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></p>
        
        <p><label for="<?php echo $this->get_field_id( 'twittercode' ); ?>">Timeline Code (Create <a  target="_blank" href="https://twitter.com/settings/widgets">here</a>, <a href="http://www.themepunch.com/valiano/wp-content/uploads/2013/03/twitter_widget.png" target="_blank">this</a> code):</label><br /><textarea class="widefat" style="height:150px;" id="<?php echo $this->get_field_id( 'twittercode' ); ?>" name="<?php echo $this->get_field_name( 'twittercode' ); ?>"><?php if( isset($instance['twittercode']) ) echo $instance['twittercode']; ?></textarea></p> 
        
        <p><label for="<?php echo $this->get_field_id( 'feedcount' ); ?>">Feed Count:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'feedcount' ); ?>" name="<?php echo $this->get_field_name( 'feedcount' ); ?>" value="<?php if( isset($instance['feedcount']) ) echo $instance['feedcount']; ?>" /></p> 
        
        <p><label for="<?php echo $this->get_field_id( 'style' ); ?>">Original Twitter Timeline Style:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'style' ); ?>" name="<?php echo $this->get_field_name( 'style' ); ?>" type="checkbox" value="on" <?php if( isset($instance['style']) ) echo "checked"; ?> /></p> 
        
 <?php
 }

 function widget( $args, $instance ) {
   extract( $args );
 
   $title = apply_filters('widget_title', $instance['title'] );
   if ( isset($instance['id']) ) $id = $instance['id'];
   $code = $instance['twittercode'];
   $feeds = $instance['feedcount'];
   $style = isset($instance['style']) ? true : false;
   echo $before_widget;
   
   $uniq = rand(5, 15);
   
      if ( $title ) echo $before_title . $title . $after_title;
   echo '<div id="twitterfeed_'.$uniq.'">';
   echo $code;
   echo '
    <style>
     iframe.twitter-timeline{
      width:100% !important;
      min-width:100% !important;
      max-width:100% !important;
     }
    </style>';
   if(!$style)
    echo '
    <style>
     iframe.twitter-timeline{
      display:none;
     }
    </style>
    <script>
    
    jQuery(document).ready(function(){
     var ibody;
  
     // Customize twitter feed
     var changeTwitterAttempts = 0;
     function changeTwitterBoxElements() {
         setTimeout( function() {
             if ( jQuery(\'#twitterfeed_'.$uniq.' [id*=twitter]\').length ) {
             jQuery(\'#twitterfeed_'.$uniq.' [id*=twitter]\').each( function(){
                 var ibody = jQuery(this).contents().find( \'body\' );
                 if ( ibody.find( \'.timeline .stream .h-feed li.tweet\' ).length ) {
                   
                   ibody.find( \'.timeline .stream .h-feed li.tweet\' ).slice('.$feeds.', ibody.find( \'.timeline .stream .h-feed li.tweet\' ).length).remove();
                  
                  ibody.find( \'.timeline .stream\').css(\'height\',(ibody.find( \'.timeline .stream ol\').outerHeight()+10)+"px");
                  jQuery( \'#twitterfeed_'.$uniq.' .twitter-timeline\').css(\'height\',(ibody.find( \'.timeline .stream ol\').outerHeight()+10)+"px");
                 
                  ibody.find( \'.timeline\' ).css( \'border\', \'0px solid #000\' );
                  ibody.find( \'.timeline\' ).css( \'background-color\', \'transparent\' );
                  ibody.find( \'.tweet\' ).css( \'border\', "0px solid #000" );
                  ibody.find( \'.timeline .stream\' ).css( \'overflow-x\', \'hidden\' );
                  ibody.find( \'.timeline .stream\' ).css( \'overflow-y\', \'hidden\' );
                  ibody.find( \'.timeline-header\').hide();
                  ibody.find( \'.timeline-footer\').hide();
                  ibody.find( \'.timeline .load-more\').hide();
                  ibody.find( \'.tweet-actions\').css("shadow","0 0 0");
                  //ibody.find( \'.tweet-actions\').css("background-color","transparent");
                  jQuery( \'.twitter-timeline\').show(); 
               ibody.find( \'.timeline .stream\').click(function(){
                clickEvent();
               });
                 }
                 else {
                     //jQuery(this).hide();
                 }
             });
             }
             changeTwitterAttempts++;
             if ( changeTwitterAttempts < 3 ) {
                 changeTwitterBoxElements();
             }
         }, 1500);
          
       
       
     }
    
     changeTwitterBoxElements();
     
     var timeouts;
     
     jQuery(window).resize(function() {
      clearTimeout(timeouts);
      timeouts= setTimeout(function() {
       changeTwitterBoxElements();
      },150);
     });
    
     function clickEvent(){
      changeTwitterBoxElements();
     }
    });
    
    </script>
    ';
   echo '</div>';
   echo $after_widget;
 }

 function update( $new_instance, $old_instance ) {
  $instance = $old_instance;
  $instance['title'] = $new_instance['title'];
  $instance['twittercode'] = $new_instance['twittercode'];
  $instance['feedcount'] = $new_instance['feedcount'];
  $instance['style'] = $new_instance['style'];
  return $instance;
 }
}
add_action( 'widgets_init', create_function('', 'return register_widget("grandeurTwitterTimelinefeed");') );



/* ------------------------------------- */
/* grandeur CUSTOM ARCHIVES WIDGET */
/* ------------------------------------- */


class grandeurArchives extends WP_Widget
{
  function grandeurArchives()
  {
    $widget_ops = array('classname' => 'grandeurArchives', 'description' => 'Displays the Blog Archives' );
    $this->WP_Widget('grandeurArchives', 'Grandeur Archives', $widget_ops);
  }
 
  function form($instance)
  {
    $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
    $title = $instance['title'];
?>
  <p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></label></p>
<?php
  }
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
 
    if (!empty($title))
    echo $before_title . $title . $after_title;;

	echo '<div class="widget_categories"><ul>';
	wp_get_archives(apply_filters('widget_archives_dropdown_args', array('type' => 'monthly', 'format' => 'html', 'before' => '<span>&rsaquo; </span>')));
    echo '</ul></div><div style="clear:both;"></div>';
 
    echo $after_widget;
  }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("grandeurArchives");') );



/* ------------------------------------- */
/* grandeur CUSTOM CATEGORIES WIDGET */
/* ------------------------------------- */



class grandeurCategories extends WP_Widget
{
  function grandeurCategories()
  {
    $widget_ops = array('classname' => 'grandeurCategories', 'description' => 'Displays a list of Blog Categories' );
    $this->WP_Widget('grandeurCategories', 'Grandeur Categories', $widget_ops);
  }
 
  function form($instance)
  {
    $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
    $title = $instance['title'];
?>
  <p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></label></p>
<?php
  }
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
 
    if (!empty($title))
      echo $before_title . $title . $after_title;;
 
	echo '<div class="widget_categories"><ul>';
	$cats = get_categories();
	foreach ($cats as $cat) {
		$my_query = new WP_Query('category_name='.$cat->name.'&posts_per_page=1'); 
 		while ($my_query->have_posts()) : $my_query->the_post();
      		 $blogimageurl = wp_get_attachment_url( get_post_thumbnail_id() ); 
        endwhile; 
		echo '<li><span>&rsaquo; </span><a href="'.get_category_link( $cat->term_id ).'">'.$cat->name.'</a></li>';
	}
    echo '</ul></div>';
 
    echo $after_widget;
  }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("grandeurCategories");') );


/* ------------------------------------- */
/* grandeur Shortcodes SIDEBAR WIDGET */
/* ------------------------------------- */


class grandeurShortcodes extends WP_Widget {

	function grandeurShortcodes() {
		$widget_ops = array('classname' => 'grandeurShortcodes', 'description' => 'A sidebar shortcode widget. Please enter the HTML with Shortcodes in the corresponding textarea.');
    	$this->WP_Widget('grandeurShortcodes', 'Grandeur Shortcodes HTML Text', $widget_ops);
	}
	
	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance ); ?>

		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label><br /><input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php if( isset($instance['title']) ) echo $instance['title']; ?>" /></p>
		
        <p><label for="<?php echo $this->get_field_id( 'text' ); ?>">HTML with Shortcodes Text</label><br /><textarea class="widefat" style="height:150px;" id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>"><?php if( isset($instance['text']) ) echo $instance['text']; ?></textarea></p>  
	<?php
	}

	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );
		if ( isset($instance['id']) ) $id = $instance['id'];
		$text = $instance['text'];
		
		echo $before_widget;
		
	   	if ( $title ) echo $before_title . $title . $after_title;
		echo do_shortcode($text);
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['text'] = $new_instance['text'];
		return $instance;
	}
}
add_action( 'widgets_init', create_function('', 'return register_widget("grandeurShortcodes");') );

?>