<?php

/*-----------------------------------------------------------------------------------*/
// Button
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['button'] = array(
	'no_preview' => true,
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'' => 'Normal',
				'toggle' => 'toggle',
				'stateful' => 'stateful'			)
		),
		'class' => array(
			'type' => 'select',
			'label' => __('Button Style', 'textdomain'),
			'desc' => __('The Button\'s appearence, e. g. colors', 'textdomain'),
			'options' => array(
				'primary' => 'primary',
				'' => 'default',
				'info' => 'info',
				'success' => 'success',
				'warning' => 'warning',
				'danger' => 'danger',
				'inverse' => 'inverse',
				'link' => 'link',
			)
		),
		'size' => array(
			'type' => 'select',
			'label' => __('Button Size', 'textdomain'),
			'desc' => __('The Button\'s size', 'textdomain'),
			'options' => array(
				'' => 'normal',
				'large' => 'large',
				'small' => 'small',
				'mini' => 'mini'
			)
		),
		'block' => array(
			'type' => 'select',
			'label' => __('Block Button', 'textdomain'),
			'desc' => __('Display Button in Block style', 'textdomain'),
			'options' => array(
				'' => 'off',
				'on' => 'on'
			)
		),
		'disabled' => array(
			'type' => 'select',
			'label' => __('Disable Button', 'textdomain'),
			'desc' => __('Display Button in Disabled style', 'textdomain'),
			'options' => array(
				'' => 'off',
				'on' => 'on'
			)
		),
		'id' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button\'s ID (optional)', 'textdomain'),
			'desc' => __('Add the button\'s ID if needed for jQuery or so', 'textdomain'),
		),
		'url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button URL (Optional)', 'textdomain'),
			'desc' => __('Add the button\'s url eg http://example.com', 'textdomain')
		),
		'target' => array(
			'type' => 'select',
			'label' => __('Button Target', 'textdomain'),
			'desc' => __('_self = open in same window. _blank = open in new window', 'textdomain'),
			'options' => array(
				'_self' => '_self',
				'_blank' => '_blank'
			)
		),
		'state' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('State Text (Optional)', 'textdomain'),
			'desc' => __('If the type is "Stateful" the Text to appear on click', 'textdomain'),
		),
		'content' => array(
			'std' => 'Button Text',
			'type' => 'text',
			'label' => __('Button\'s Text', 'textdomain'),
			'desc' => __('Add the button\'s text', 'textdomain'),
		)
	),
	'shortcode' => '[bs_button url="{{url}}" type="{{type}}" target="{{target}}" state="{{state}}" class="{{class}}" size="{{size}}" block="{{block}}" disabled="{{disabled}}" id="{{id}}"] {{content}} [/bs_button]',
	
	'popup_title' => __('Insert Button Shortcode', 'textdomain')
);

/*-----------------------------------------------------------------------------------*/
// Labels
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['labels'] = array(
	'no_preview' => true,
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Label Type', 'textdomain'),
			'desc' => __('Select the Label\'s type', 'textdomain'),
			'options' => array(
				'' => 'default',
				'info' => 'info',
				'success' => 'success',
				'warning' => 'warning',
				'important' => 'important',
				'inverse' => 'inverse'
			)
		),
		'content' => array(
			'std' => 'Label Text',
			'type' => 'text',
			'label' => __('Label\'s Text', 'textdomain'),
			'desc' => __('Add the Label\'s text', 'textdomain'),
		)
	),
	'shortcode' => '[bs_label type="{{type}}"] {{content}} [/bs_label]',
	
	'popup_title' => __('Insert Label Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
// Badges
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['badges'] = array(
	'no_preview' => true,
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Badge Type', 'textdomain'),
			'desc' => __('Select the Badge\'s type', 'textdomain'),
			'options' => array(
				'' => 'default',
				'info' => 'info',
				'success' => 'success',
				'warning' => 'warning',
				'important' => 'important',
				'inverse' => 'inverse'
			)
		),
		'content' => array(
			'std' => 'Badge Text',
			'type' => 'text',
			'label' => __('Badge\'s Text', 'textdomain'),
			'desc' => __('Add the Badge\'s text', 'textdomain'),
		)
	),
	'shortcode' => '[bs_badge type="{{type}}"] {{content}} [/bs_badge]',
	
	'popup_title' => __('Insert Label Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
// Tooltip
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['tooltip'] = array(
	'no_preview' => true,
	'params' => array(
		'animation' => array(
			'type' => 'select',
			'label' => __('Animation', 'textdomain'),
			'desc' => __('Apply a css fade transition to the tooltip?', 'textdomain'),
			'options' => array(
				'true' => 'On',
				'false' => 'Off'			
			)
		),
		'html' => array(
			'type' => 'select',
			'label' => __('HTML', 'textdomain'),
			'desc' => __('Insert html into the tooltip(if off, jquery\'s text method will be used)?', 'textdomain'),
			'options' => array(
				'true' => 'On',
				'false' => 'Off'			
			)
		),
		'placement' => array(
			'type' => 'select',
			'label' => __('Placement', 'textdomain'),
			'desc' => __('How to position the tooltip?', 'textdomain'),
			'options' => array(
				'top' => 'top',
				'bottom' => 'bottom',
				'left' => 'left',
				'right' => 'right'
			)
		),
		'selector' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Selector (optional)', 'textdomain'),
			'desc' => __('If a selector is provided, tooltip objects will be delegated to the specified targets.', 'textdomain'),
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'textdomain'),
			'desc' => __('title value if `title` tag isn\'t present', 'textdomain'),
		),
		'trigger' => array(
			'type' => 'select',
			'label' => __('Trigger', 'textdomain'),
			'desc' => __('How tooltip is triggered.', 'textdomain'),
			'options' => array(
				'click' => 'click',
				'hover' => 'hover',
				'focus' => 'focus',
				'manual' => 'manual'
			)
		),
		'delayshow' => array(
			'std' => '0',
			'type' => 'text',
			'label' => __('Delay on Show', 'textdomain'),
			'desc' => __('Wait for this time in milliseconds(1000 = 1sec)', 'textdomain'),
		),
		'delayhide' => array(
			'std' => '0',
			'type' => 'text',
			'label' => __('Delay on Hide', 'textdomain'),
			'desc' => __('Wait for this time in milliseconds(1000 = 1sec)', 'textdomain'),
		),
		'content' => array(
			'std' => 'Tooltip Text',
			'type' => 'text',
			'label' => __('Tooltip\'s Text', 'textdomain'),
			'desc' => __('Content that triggers the tooltip', 'textdomain'),
		)
	),
	'shortcode' => '[bs_tooltip animation="{{animation}}" html="{{html}}" placement="{{placement}}" selector="{{selector}}" title="{{title}}" trigger="{{trigger}}" delayshow="{{delayshow}}" delayhide="{{delayhide}}"] {{content}} [/bs_tooltip]',
	
	'popup_title' => __('Insert Tooltip Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
// Popover
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['popover'] = array(
	'no_preview' => true,
	'params' => array(
		'animation' => array(
			'type' => 'select',
			'label' => __('Animation', 'textdomain'),
			'desc' => __('Apply a css fade transition to the popover?', 'textdomain'),
			'options' => array(
				'true' => 'On',
				'false' => 'Off'			
			)
		),
		'html' => array(
			'type' => 'select',
			'label' => __('HTML', 'textdomain'),
			'desc' => __('Insert html into the popover(if off, jquery\'s text method will be used)?', 'textdomain'),
			'options' => array(
				'true' => 'On',
				'false' => 'Off'			
			)
		),
		'placement' => array(
			'type' => 'select',
			'label' => __('Placement', 'textdomain'),
			'desc' => __('How to position the popover?', 'textdomain'),
			'options' => array(
				'top' => 'top',
				'bottom' => 'bottom',
				'left' => 'left',
				'right' => 'right'
			)
		),
		'selector' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Selector (optional)', 'textdomain'),
			'desc' => __('If a selector is provided, popover objects will be delegated to the specified targets.', 'textdomain'),
		),
		'title' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Title', 'textdomain'),
			'desc' => __('title value if `title` tag isn\'t present', 'textdomain'),
		),
		'body' => array(
			'std' => 'Body',
			'type' => 'text',
			'label' => __('Content', 'textdomain'),
			'desc' => __('Content inside the popover', 'textdomain'),
		),
		'trigger' => array(
			'type' => 'select',
			'label' => __('Trigger', 'textdomain'),
			'desc' => __('How popover is triggered.', 'textdomain'),
			'options' => array(
				'click' => 'click',
				'hover' => 'hover',
				'focus' => 'focus',
				'manual' => 'manual'
			)
		),
		'delayshow' => array(
			'std' => '0',
			'type' => 'text',
			'label' => __('Delay on Show', 'textdomain'),
			'desc' => __('Wait for this time in milliseconds(1000 = 1sec)', 'textdomain'),
		),
		'delayhide' => array(
			'std' => '0',
			'type' => 'text',
			'label' => __('Delay on Hide', 'textdomain'),
			'desc' => __('Wait for this time in milliseconds(1000 = 1sec)', 'textdomain'),
		),
		'content' => array(
			'std' => 'Popover Text',
			'type' => 'text',
			'label' => __('Popover\'s Text', 'textdomain'),
			'desc' => __('Content that triggers the popover', 'textdomain'),
		)
	),
	'shortcode' => '[bs_popover animation="{{animation}}" html="{{html}}" placement="{{placement}}" selector="{{selector}}" title="{{title}}" body="{{body}}" trigger="{{trigger}}" delayshow="{{delayshow}}" delayhide="{{delayhide}}"] {{content}} [/bs_popover]',
	
	'popup_title' => __('Insert Tooltip Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Spacer Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['spacer'] = array(
	'no_preview' => true,
	'params' => array(
		'height' => array(
			'std' => '20px',
			'type' => 'text',
			'label' => __('Height of the Spacer', 'textdomain'),
			'desc' => __('Creates a space area of this height', 'textdomain')
		)
	),
	'shortcode' => '[spacer height="{{height}}"]',
	
	'popup_title' => __('Insert Spacer Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Divider Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['divider'] = array(
	'no_preview' => true,
	'params' => array(
		'before' => array(
			'std' => '25px',
			'type' => 'text',
			'label' => __('Space before Divider', 'textdomain'),
			'desc' => __('Creates a space area before the divider line', 'textdomain')
		),
		'after' => array(
			'std' => '40px',
			'type' => 'text',
			'label' => __('Space after Divider', 'textdomain'),
			'desc' => __('Creates a space area afterthe divider line', 'textdomain')
		)
	),
	'shortcode' => '[divider before="{{before}}" after="{{after}}"]',
	
	'popup_title' => __('Insert Spacer Shortcode', 'textdomain')
);

/*-----------------------------------------------------------------------------------*/
// Quotes
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['blockquote'] = array(
	'no_preview' => true,
	'params' => array(
		'author' => array(
			'std' => 'Name',
			'type' => 'text',
			'label' => __('Author', 'textdomain'),
			'desc' => __('The Author of the used quote', 'textdomain')
		),
		'float' => array(
			'type' => 'select',
			'label' => __('Quote Align', 'textdomain'),
			'desc' => __('Align the quote left or right to the other content', 'textdomain'),
			'options' => array(
				'left' => 'left ',
				'right' => 'right'
			)
		),
		'content' => array(
			'std' => 'Quote',
			'type' => 'text',
			'label' => __('Quote', 'textdomain'),
			'desc' => __('The quote\'s text', 'textdomain'),
		)
	),
	'shortcode' => '[blockquote author="{{author}}" float="{{float}}"] {{content}} [/blockquote]',
	
	'popup_title' => __('Insert Blockquote Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Twitter Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['twitter'] = array(
	'no_preview' => true,
	'params' => array(
		'user' => array(
			'std' => 'envato',
			'type' => 'text',
			'label' => __('User', 'textdomain'),
			'desc' => __('Twitter User name', 'textdomain')
		),
		'count' => array(
			'std' => '8',
			'type' => 'text',
			'label' => __('Count', 'textdomain'),
			'desc' => __('How many Tweets?', 'textdomain')
		)
	),
	'shortcode' => '[twitter user="{{user}}" count="{{count}}"]',
	
	'popup_title' => __('Insert Twitter Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Lightbox
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['lightbox'] = array(
	'no_preview' => true,
	'params' => array(
		'thumb' => array(
			'std' => 'http://dummyimage.com/200x200/aaaaaa/fff.jpg',
			'type' => 'text',
			'label' => __('Thumb Picture', 'textdomain'),
			'desc' => __('Thumbnail picture to appear in the content', 'textdomain')
		),
		'align' => array(
			'type' => 'select',
			'label' => __('Align', 'textdomain'),
			'desc' => __('Thumbnail align', 'textdomain'),
			'options' => array(
				'left' => 'Left',
				'right' => 'Right'
				)
		),
		'thumbwidth' => array(
			'std' => '200',
			'type' => 'text',
			'label' => __('Thumb Width in Pixel', 'textdomain'),
			'desc' => __('Optional Thumb Width', 'textdomain')
		),
		'thumbheight' => array(
			'std' => '200',
			'type' => 'text',
			'label' => __('Thumb Height in Pixel', 'textdomain'),
			'desc' => __('Optional Thumb Height', 'textdomain')
		),
		'lightbox_link' => array(
			'std' => 'http://www.youtube.com/watch?v=Vpg9yizPP_g&width=720&height=435&hd=1',
			'type' => 'text',
			'label' => __('Video Link (optional)', 'textdomain'),
			'desc' => __('URL to youtube/vimeo or other image to appear in Lightbox', 'textdomain')
		),
		'link' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Link URL', 'textdomain'),
			'desc' => __('URL to the Linked page', 'textdomain')
		),
		'title' => array(
			'std' => 'The Title',
			'type' => 'text',
			'label' => __('Title in Lightbox', 'textdomain'),
			'desc' => __('Title shown at the bottom of the Lightbox', 'textdomain')
		)	
	),
	'shortcode' => '[lightbox thumb="{{thumb}}" link="{{link}}" lightbox_link="{{lightbox_link}}" title="{{title}}" thumbwidth="{{thumbwidth}}" thumbheight="{{thumbheight}}"]',
	
	'popup_title' => __('Insert Lightbox Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Video
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['video'] = array(
	'no_preview' => true,
	'params' => array(
		'source' => array(
			'type' => 'select',
			'label' => __('Source', 'textdomain'),
			'desc' => __('Youtube or Vimeo video?', 'textdomain'),
			'options' => array(
				'youtube' => 'youtube',
				'vimeo' => 'vimeo'
				)
		),
		'videoid' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Video ID', 'textdomain'),
			'desc' => __('ID of the Video to embed', 'textdomain')
		),
		'width' => array(
			'std' => '500',
			'type' => 'text',
			'label' => __('Width', 'textdomain'),
			'desc' => __('Width of the Video', 'textdomain')
		),
		'height' => array(
			'std' => '281',
			'type' => 'text',
			'label' => __('Height', 'textdomain'),
			'desc' => __('Height of the Video', 'textdomain')
		)	
	),
	'shortcode' => '[video source="{{source}}" video_id="{{videoid}}" width="{{width}}" height="{{height}}"]',
	
	'popup_title' => __('Insert Video Shortcode', 'textdomain')
);






/*-----------------------------------------------------------------------------------*/
/*	Services
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['services2'] = array(
	'no_preview' => true,
	'params' => array(
		'column1'  => array(
			'type' => 'headline',
			'std' => __('Column 1', 'textdomain')
		),
		'icon_type1' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title1' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Conception'
		),
		'titlesubline1' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Brillant Ideas'
		),
		'content1' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Amet dolor perspi ciatis undeno laudero antium, totam rem aperiam, eaque ipsa quae dolor illo inventore glavrida.'
		),
		'button_url1' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target1' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		),
		'column2'  => array(
			'type' => 'headline',
			'std' => __('Column 2', 'textdomain')
		),
		'icon_type2' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title2' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Development'
		),
		'titlesubline2' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Creative Creation'
		),
		'content2' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Glavrida perspiciatis unde laud antium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et architecto beta.'
		),
		'button_url2' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target2' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		)
	),
	'shortcode' => '[service columns="2"][service_column icon_type="{{icon_type1}}" title="{{title1}}" titlesubline="{{titlesubline1}}" button_target="{{button_target1}}" button_url="{{button_url1}}" ] {{content1}} [/service_column][service_column icon_type="{{icon_type2}}" title="{{title2}}" titlesubline="{{titlesubline2}}" button_target="{{button_target2}}" button_url="{{button_url2}}" ] {{content2}} [/service_column][/service]',
	
	'popup_title' => __('Insert Service 2 Columns Shortcode', 'textdomain')
);


$zilla_shortcodes['services3'] = array(
	'no_preview' => true,
	'params' => array(
		'column1'  => array(
			'type' => 'headline',
			'std' => __('Column 1', 'textdomain')
		),
		'icon_type1' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title1' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Conception'
		),
		'titlesubline1' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Brillant Ideas'
		),
		'content1' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Amet dolor perspi ciatis undeno laudero antium, totam rem aperiam, eaque ipsa quae dolor illo inventore glavrida.'
		),
		'button_url1' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target1' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		),
		'column2'  => array(
			'type' => 'headline',
			'std' => __('Column 2', 'textdomain')
		),
		'icon_type2' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title2' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Development'
		),
		'titlesubline2' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Creative Creation'
		),
		'content2' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Glavrida perspiciatis unde laud antium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et architecto beta.'
		),
		'button_url2' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target2' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		),
		'column3'  => array(
			'type' => 'headline',
			'std' => __('Column 3', 'textdomain')
		),
		'icon_type3' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title3' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Distribution'
		),
		'titlesubline3' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Global Delivery'
		),
		'content3' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Minos sit perspi ciatis undeno laudero antium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis.'
		),
		'button_url3' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target3' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		)
	),
	'shortcode' => '[service columns="3"][service_column icon_type="{{icon_type1}}" title="{{title1}}" titlesubline="{{titlesubline1}}" button_target="{{button_target1}}" button_url="{{button_url1}}" ] {{content1}} [/service_column][service_column icon_type="{{icon_type2}}" title="{{title2}}" titlesubline="{{titlesubline2}}" button_target="{{button_target2}}" button_url="{{button_url2}}" ] {{content2}} [/service_column][service_column icon_type="{{icon_type3}}" title="{{title3}}" titlesubline="{{titlesubline3}}" button_target="{{button_target3}}" button_url="{{button_url3}}" ] {{content3}} [/service_column][/service]',
	
	'popup_title' => __('Insert Service 3 Columns Shortcode', 'textdomain')
);


$zilla_shortcodes['services4'] = array(
	'no_preview' => true,
	'params' => array(
		'column1'  => array(
			'type' => 'headline',
			'std' => __('Column 1', 'textdomain')
		),
		'icon_type1' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title1' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Conception'
		),
		'titlesubline1' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Brillant Ideas'
		),
		'content1' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Amet dolor perspi ciatis undeno laudero antium, totam rem aperiam, eaque ipsa quae dolor illo inventore glavrida.'
		),
		'button_url1' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target1' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		),
		'column2'  => array(
			'type' => 'headline',
			'std' => __('Column 2', 'textdomain')
		),
		'icon_type2' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title2' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Development'
		),
		'titlesubline2' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Creative Creation'
		),
		'content2' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Glavrida perspiciatis unde laud antium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et architecto beta.'
		),
		'button_url2' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target2' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		),
		'column3'  => array(
			'type' => 'headline',
			'std' => __('Column 3', 'textdomain')
		),
		'icon_type3' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title3' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Distribution'
		),
		'titlesubline3' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Global Delivery'
		),
		'content3' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Minos sit perspi ciatis undeno laudero antium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis.'
		),
		'button_url3' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target3' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		),
		'column4'  => array(
			'type' => 'headline',
			'std' => __('Column 4', 'textdomain')
		),
		'icon_type4' => array(
			'type' => 'select',
			'label' => __('Icon Type?', 'textdomain'),
			'desc' => __('Select an icon type', 'textdomain'),
			'options' => array(
				'write' => 'Design',
				'tools' => 'Tools',
				'globe' => 'Globe',
				'help' => 'Help',
				'none' => 'None'
			)
		),
		'title4' => array(
			'type' => 'text',
			'label' => __('Service Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the service', 'textdomain'),
			'std' => 'Support Center'
		),
		'titlesubline4' => array(
			'type' => 'text',
			'label' => __('Service Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'Call us 24 / 7'
		),
		'content4' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content', 'textdomain'),
			'std' => 'Lorem perspiciatis unde laud antium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et architecto beatae.'
		),
		'button_url4' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'button_target4' => array(
			'type' => 'select',
			'label' => __('Link Target?', 'textdomain'),
			'desc' => __('Select the target of this link', 'textdomain'),
			'options' => array(
				'_blank' => 'Blank',
				'_top' => 'Top'
			)
		)
	),
	'shortcode' => '[service columns="4"][service_column icon_type="{{icon_type1}}" title="{{title1}}" titlesubline="{{titlesubline1}}" button_target="{{button_target1}}" button_url="{{button_url1}}" ] {{content1}} [/service_column][service_column icon_type="{{icon_type2}}" title="{{title2}}" titlesubline="{{titlesubline2}}" button_target="{{button_target2}}" button_url="{{button_url2}}" ] {{content2}} [/service_column][service_column icon_type="{{icon_type3}}" title="{{title3}}" titlesubline="{{titlesubline3}}" button_target="{{button_target3}}" button_url="{{button_url3}}" ] {{content3}} [/service_column][service_column icon_type="{{icon_type4}}" title="{{title4}}" titlesubline="{{titlesubline4}}" button_target="{{button_target4}}" button_url="{{button_url4}}" ] {{content4}} [/service_column][/service]',
	
	'popup_title' => __('Insert Service 4 Columns Shortcode', 'textdomain')
);






/*-----------------------------------------------------------------------------------*/
/*	Pricetables
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['pricetable3'] = array(
	'no_preview' => true,
	'params' => array(
		'column1'  => array(
			'type' => 'headline',
			'std' => __('Column 1', 'textdomain')
		),
		'highlight1' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title1' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline1' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price1' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency1' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content1' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type1' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text1' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url1' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column2'  => array(
			'type' => 'headline',
			'std' => __('Column 2', 'textdomain')
		),
		'highlight2' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title2' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline2' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price2' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency2' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content2' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type2' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text2' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url2' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column3'  => array(
			'type' => 'headline',
			'std' => __('Column 3', 'textdomain')
		),
		'highlight3' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title3' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline3' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price3' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency3' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content3' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type3' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text3' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url3' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		)
	),
	'shortcode' => '[pricetable columns="3"][pricetable_column highlight="{{highlight1}}" title="{{title1}}" titlesubline="{{titlesubline1}}" price="{{price1}}" price_currency="{{currency1}}" button_type="{{button_type1}}" button_url="{{button_url1}}" button_text="{{button_text1}}"] {{content1}} [/pricetable_column][pricetable_column highlight="{{highlight2}}" title="{{title2}}" titlesubline="{{titlesubline2}}" price="{{price2}}" price_currency="{{currency2}}" button_type="{{button_type2}}" button_url="{{button_url2}}" button_text="{{button_text2}}"] {{content2}} [/pricetable_column][pricetable_column highlight="{{highlight3}}" title="{{title3}}" titlesubline="{{titlesubline3}}" price="{{price3}}" price_currency="{{currency3}}" button_type="{{button_type3}}" button_url="{{button_url3}}" button_text="{{button_text3}}"] {{content3}} [/pricetable_column][/pricetable]',
	
	'popup_title' => __('Insert Pricetable 3 Columns Shortcode', 'textdomain')
);





$zilla_shortcodes['pricetable4'] = array(
	'no_preview' => true,
	'params' => array(
		'column1'  => array(
			'type' => 'headline',
			'std' => __('Column 1', 'textdomain')
		),
		'highlight1' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title1' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline1' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price1' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency1' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content1' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type1' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text1' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url1' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column2'  => array(
			'type' => 'headline',
			'std' => __('Column 2', 'textdomain')
		),
		'highlight2' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title2' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline2' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price2' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency2' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content2' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type2' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text2' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url2' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column3'  => array(
			'type' => 'headline',
			'std' => __('Column 3', 'textdomain')
		),
		'highlight3' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title3' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline3' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price3' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency3' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content3' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type3' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text3' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url3' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column4'  => array(
			'type' => 'headline',
			'std' => __('Column 4', 'textdomain')
		),
		'highlight4' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title4' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline4' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price4' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency4' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content4' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type4' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text4' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url4' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		)
		
	),
	'shortcode' => '[pricetable columns="4"][pricetable_column highlight="{{highlight1}}" title="{{title1}}" titlesubline="{{titlesubline1}}" price="{{price1}}" price_currency="{{currency1}}" button_type="{{button_type1}}" button_url="{{button_url1}}" button_text="{{button_text1}}"] {{content1}} [/pricetable_column][pricetable_column highlight="{{highlight2}}" title="{{title2}}" titlesubline="{{titlesubline2}}" price="{{price2}}" price_currency="{{currency2}}" button_type="{{button_type2}}" button_url="{{button_url2}}" button_text="{{button_text2}}"] {{content2}} [/pricetable_column][pricetable_column highlight="{{highlight3}}" title="{{title3}}" titlesubline="{{titlesubline3}}" price="{{price3}}" price_currency="{{currency3}}" button_type="{{button_type3}}" button_url="{{button_url3}}" button_text="{{button_text3}}"] {{content3}} [/pricetable_column][pricetable_column highlight="{{highlight4}}" title="{{title4}}" titlesubline="{{titlesubline4}}" price="{{price4}}" price_currency="{{currency4}}" button_type="{{button_type4}}" button_url="{{button_url4}}" button_text="{{button_text4}}"] {{content4}} [/pricetable_column][/pricetable]',
	
	'popup_title' => __('Insert Pricetable 4 Columns Shortcode', 'textdomain'));
	
	
	
	
$zilla_shortcodes['pricetable5'] = array(
	'no_preview' => true,
	'params' => array(
		'column1'  => array(
			'type' => 'headline',
			'std' => __('Column 1', 'textdomain')
		),
		'highlight1' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title1' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline1' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price1' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency1' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content1' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type1' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text1' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url1' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column2'  => array(
			'type' => 'headline',
			'std' => __('Column 2', 'textdomain')
		),
		'highlight2' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title2' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline2' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price2' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency2' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content2' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type2' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text2' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url2' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column3'  => array(
			'type' => 'headline',
			'std' => __('Column 3', 'textdomain')
		),
		'highlight3' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title3' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline3' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price3' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency3' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content3' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type3' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text3' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url3' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column4'  => array(
			'type' => 'headline',
			'std' => __('Column 4', 'textdomain')
		),
		'highlight4' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title4' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline4' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price4' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency4' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content4' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type4' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text4' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url4' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		),
		'column5'  => array(
			'type' => 'headline',
			'std' => __('Column 5', 'textdomain')
		),
		'highlight5' => array(
			'type' => 'select',
			'label' => __('Highlighted?', 'textdomain'),
			'desc' => __('Highlighted or Normal column', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'highlight' => 'Highlight'
			)
		),
		'title5' => array(
			'type' => 'text',
			'label' => __('Column Title', 'textdomain'),
			'desc' => __('Add the Headline that will go above the column content', 'textdomain'),
			'std' => 'Title'
		),
		'titlesubline5' => array(
			'type' => 'text',
			'label' => __('Column Title Subline', 'textdomain'),
			'desc' => __('Add the Headline subline text', 'textdomain'),
			'std' => 'A great product'
		),
		'price5' => array(
			'type' => 'text',
			'label' => __('Price', 'textdomain'),
			'desc' => __('Add the Full Price that will go above the Teaser content', 'textdomain'),
			'std' => '99'
		),
		'currency5' => array(
			'type' => 'text',
			'label' => __('Currency Character', 'textdomain'),
			'desc' => __('Add your desired currency character', 'textdomain'),
			'std' => '$'
		),
		'content5' => array(
			'type' => 'textarea',
			'label' => __('Column Content', 'textdomain'),
			'desc' => __('Describing content. Will accept HTML(Use structure as seen in default value)', 'textdomain'),
			'std' => '<div class="item">Column 1</div><div class="item">Column 2</div><div class="item">Column 3</div>'
		),
		'button_type5' => array(
			'type' => 'select',
			'label' => __('Button Type', 'textdomain'),
			'desc' => __('Select the button\'s type', 'textdomain'),
			'options' => array(
				'primary' => 'Primary',
				'plain' => 'Plain'
			)
		),
		'button_text5' => array(
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Text on the button (optional)', 'textdomain'),
			'std' => 'Order now'
		),
		'button_url5' => array(
			'type' => 'text',
			'label' => __('Button Link', 'textdomain'),
			'desc' => __('Link on the button (optional)', 'textdomain'),
			'std' => '#'
		)
		
	),
	'shortcode' => '[pricetable columns="5"][pricetable_column highlight="{{highlight1}}" title="{{title1}}" titlesubline="{{titlesubline1}}" price="{{price1}}" price_currency="{{currency1}}" button_type="{{button_type1}}" button_url="{{button_url1}}" button_text="{{button_text1}}"] {{content1}} [/pricetable_column][pricetable_column highlight="{{highlight2}}" title="{{title2}}" titlesubline="{{titlesubline2}}" price="{{price2}}" price_currency="{{currency2}}" button_type="{{button_type2}}" button_url="{{button_url2}}" button_text="{{button_text2}}"] {{content2}} [/pricetable_column][pricetable_column highlight="{{highlight3}}" title="{{title3}}" titlesubline="{{titlesubline3}}" price="{{price3}}" price_currency="{{currency3}}" button_type="{{button_type3}}" button_url="{{button_url3}}" button_text="{{button_text3}}"] {{content3}} [/pricetable_column][pricetable_column highlight="{{highlight4}}" title="{{title4}}" titlesubline="{{titlesubline4}}" price="{{price4}}" price_currency="{{currency4}}" button_type="{{button_type4}}" button_url="{{button_url4}}" button_text="{{button_text4}}"] {{content4}} [/pricetable_column][pricetable_column highlight="{{highlight5}}" title="{{title5}}" titlesubline="{{titlesubline5}}" price="{{price5}}" price_currency="{{currency5}}" button_type="{{button_type5}}" button_url="{{button_url5}}" button_text="{{button_text5}}"] {{content5}} [/pricetable_column][/pricetable]',
	
	'popup_title' => __('Insert Pricetable 5 Columns Shortcode', 'textdomain'));
	

/*-----------------------------------------------------------------------------------*/
/*	Collapse Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['collapse'] = array(
    'params' => array(),
    'no_preview' => true,
    'shortcode' => '[bs_collapse] {{child_shortcode}}  [/bs_collapse]',
    'popup_title' => __('Insert Toggles Shortcode', 'textdomain'),
    
    'child_shortcode' => array(
        'params' => array(
		'title' => array(
			'type' => 'text',
			'label' => __('Toggle Title', 'textdomain'),
			'desc' => __('Add the Headline on the toggle head', 'textdomain'),
			'std' => 'Title'
		),
		'content' => array(
			'std' => 'Content',
			'type' => 'textarea',
			'label' => __('Toggle Content', 'textdomain'),
			'desc' => __('Toggle content. Will accept HTML', 'textdomain')
		),
		'active' => array(
			'type' => 'select',
			'label' => __('Display', 'textdomain'),
			'desc' => __('Open or Closed?', 'textdomain'),
			'options' => array(
				'not_active' => 'Closed',
				'active' => 'Open'
			)
		)
		),
        'shortcode' => '[bs_collapse_item title="{{title}}" active="{{active}}"]{{content}}[/bs_collapse_item]',
        'clone_button' => __('Add Toggle', 'textdomain')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Testamonial Config
/*-----------------------------------------------------------------------------------*/
$zilla_shortcodes['testamonials'] = array(
    'params' => array(),
    'no_preview' => true,
    'shortcode' => '[testamonials title="Testamonials"] {{child_shortcode}}  [/testamonials]',
    'popup_title' => __('Insert Testamonial Shortcode', 'textdomain'),
    
    'child_shortcode' => array(
        'params' => array(
		'title' => array(
			'type' => 'text',
			'label' => __('Testamonial Title', 'textdomain'),
			'desc' => __('Add the Headline on the testamonial head', 'textdomain'),
			'std' => 'Title'
		),
		'link_text' => array(
			'type' => 'text',
			'label' => __('Link Text', 'textdomain'),
			'desc' => __('Text to the Link of your Testamonial.', 'textdomain'),
			'std' => 'Awesome Website'
		),
		'link_url' => array(
			'type' => 'text',
			'label' => __('Link URL', 'textdomain'),
			'desc' => __('Link to the Link of your Testamonial.', 'textdomain'),
			'std' => 'http://www.yourlink.com'
		),
		'link_target' => array(
			'type' => 'select',
			'label' => __('Button Target', 'textdomain'),
			'desc' => __('_self = open in same window. _blank = open in new window', 'textdomain'),
			'options' => array(
				'_self' => '_self',
				'_blank' => '_blank'
			)
		),

		'content' => array(
			'std' => 'Content',
			'type' => 'textarea',
			'label' => __('Testamonial Content', 'textdomain'),
			'desc' => __('Testamonial content. Will accept HTML', 'textdomain')
		)
		),
        'shortcode' => '[testamonial_item title="{{title}}" link_text="{{link_text}}" link_target="{{link_target}}" link_url="{{link_url}}"]{{content}}[/testamonial_item]',
        'clone_button' => __('Add Testamonial', 'textdomain')
    )
);


/*-----------------------------------------------------------------------------------*/
/*	Tabs
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['tabs'] = array(
    'params' => array(),
    'no_preview' => true,
    'shortcode' => '[bs_tabs] {{child_shortcode}}  [/bs_tabs]',
    'popup_title' => __('Insert Tab Shortcode', 'textdomain'),
    
    'child_shortcode' => array(
        'params' => array(
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Tab Title', 'textdomain'),
                'desc' => __('Title of the tab', 'textdomain'),
            ),
            'content' => array(
                'std' => 'Tab Content',
                'type' => 'textarea',
                'label' => __('Tab Content', 'textdomain'),
                'desc' => __('Add the tabs content', 'textdomain')
            )
        ),
        'shortcode' => '[bs_tab title="{{title}}"] {{content}} [/bs_tab]',
        'clone_button' => __('Add Tab', 'textdomain')
    )
);

/*-----------------------------------------------------------------------------------*/
/* Alerts Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['alerts'] = array(
	'no_preview' => true,
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Type', 'textdomain'),
			'desc' => __('Select the box\'s style, ie the box\'s colour', 'textdomain'),
			'options' => array(
				'' => 'Default',
				'info' => 'Info',
				'success' => 'Success',
				'message' => 'Message',
				'error' => 'Error'
			)
		),
		'close' => array(
			'std' => '×',
			'type' => 'text',
			'label' => __('Closing Char', 'textdomain'),
			'desc' => __('The char which is the closing button', 'textdomain'),
		),
		'content' => array(
			'std' => 'Text',
			'type' => 'text',
			'label' => __('Box\'s Text', 'textdomain'),
			'desc' => __('Add the box\'s text', 'textdomain'),
		)
	),
	'shortcode' => '[bs_alert type="{{style}}" close="{{close}}"] {{content}} [/bs_alert]',
	
	'popup_title' => __('Insert Infobox Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/* Styled Lists Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['styledlists'] = array(
	'no_preview' => true,
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Type', 'textdomain'),
			'desc' => __('Select the box\'s style, ie the box\'s colour', 'textdomain'),
			'options' => array(
				'1' => 'Arrow',
				'2' => 'Fat Arrow',
				'3' => 'Circle'
			)
		)
	),
	'shortcode' => '[styledlist style="{{style}}"]  [/styledlist]',
	
	'popup_title' => __('Insert Infobox Shortcode', 'textdomain')
);



/*-----------------------------------------------------------------------------------*/
/*	Columns Config
/*-----------------------------------------------------------------------------------*/

$zilla_shortcodes['columns'] = array(
	'params' => array(),
	'shortcode' => ' {{child_shortcode}} ', // as there is no wrapper shortcode
	'popup_title' => __('Insert Columns Shortcode', 'textdomain'),
	'no_preview' => true,
	
	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'column' => array(
				'type' => 'select',
				'label' => __('Column Type', 'textdomain'),
				'desc' => __('Select the type, ie width of the column.', 'textdomain'),
				'options' => array(
					'one_half' => 'One Half',
					'one_half_last' => 'One Half Last',
					'one_third' => 'One Third',
					'one_third_last' => 'One Third Last',
					'two_third' => 'Two Thirds',
					'two_third_last' => 'Two Thirds Last',
					'one_fourth' => 'One Fourth',
					'one_fourth_last' => 'One Fourth Last',
					'one_fifth' => 'One Fifth',
					'one_fifth_last' => 'One Fifth Last',
					'one_sixth' => 'One Sixth',
					'one_sixth_last' => 'One Sixth Last',
				)
			),
			'content' => array(
				'std' => '',
				'type' => 'textarea',
				'label' => __('Column Content', 'textdomain'),
				'desc' => __('Add the column content.', 'textdomain'),
			)
		),
		'shortcode' => '[{{column}}] {{content}} [/{{column}}] ',
		'clone_button' => __('Add Column', 'textdomain')
	)
);

?>