<?php
/*
Template Name: Home Page
*/

	//Language Options
	$grandeur_all = __('All', 'grandeur');
	$grandeur_readmore =  __('Read More &raquo;', 'grandeur');
	
	//Homepage Options
	if ( function_exists( 'get_option_tree') ) {
		$home_modules = get_option_tree( 'value_homepage_modules', '', false, true );
		if(!is_array($home_modules)){ $home_modules = array(); }
		
		$home_portfoliocount = get_option_tree( 'value_homeportfoliocount' );
		$home_portfoliotitle = get_option_tree( 'text_homeportfoliotitle' );
		$home_portfoliotitletagtext = get_option_tree( 'text_homeportfoliolinktext' );
		$home_portfoliotitletagurl = get_option_tree( 'text_homeportfoliolinkurl' );
		$portfolioheightlock = get_option_tree( 'value_portfoliolock' );
		
		$home_bloglayout = get_option_tree( 'value_homebloglayout' );
		$home_blogcount = get_option_tree( 'value_homenewscount' );
		$home_blogtitle = get_option_tree( 'text_homenewstitle' );
		$home_blogtitletagtext = get_option_tree( 'text_homenewslinktext' );
		$home_blogtitletagurl = get_option_tree( 'text_homenewslinkurl' );
		
		$home_clientsnum = get_option_tree( 'value_homeclients' );
		$home_clientstitle = get_option_tree( 'text_homeclientstitle' );
		$home_clientstitletagtext = get_option_tree( 'text_homeclientslinktext' );
        $home_clientstitletagurl = get_option_tree( 'text_homeclientslinkurl' );
		
		$grandeur_clients = get_option_tree( 'content_clients', '', false, true, -1 );
	}

	$template_uri = get_template_directory_uri();
	$pagecustoms = getOptions();

	//Alternate Headline
	if(isset($pagecustoms['grandeur_activate_page_title'])){ $headline = "off";} else {$headline = "on";}
	if(isset($pagecustoms['grandeur_header_title']))$htitle = $pagecustoms['grandeur_header_title']; else $htitle=get_the_title();
	$title_orientation = $pagecustoms["grandeur_title_orientation"];
	if($title_orientation == "left"){
		$torient = "";
	} else if($title_orientation == "center"){
		$torient = "text-align: center;";
	}
	
	//Homepage Slider
	$grandeur_slider = "";
	$grandeur_slider_fullwidth ="";

	if(isset($pagecustoms["grandeur_activate_slider"]) && $pagecustoms["grandeur_activate_slider"]=="on") {
		$grandeur_slider = $pagecustoms["grandeur_header_slider"];
		global $wpdb;
		global $table_prefix;
		if (!isset($wpdb->tablename)) {
			$wpdb->tablename = $table_prefix . 'revslider_sliders';
		}
		$revolution_sliders = $wpdb->get_results(
			"
			SELECT params
			FROM $wpdb->tablename
			WHERE alias='$grandeur_slider'
			"
		);
		foreach($revolution_sliders[0] as $key => $value){
			$vowels = array("{", "}", '"');
		 	$sliderparams = str_replace($vowels,"",$value);
		 	$sliderparams_array = split(",", $sliderparams);
		 	foreach($sliderparams_array as $sliderparam){
			 	$sliderparam_array = split(":",$sliderparam);
			 	if(isset($sliderparam_array[0]) && $sliderparam_array[0]=="slider_type"){
				 	$grandeur_slider_fullwidth = $sliderparam_array[1];
				 	break;
			 	}
		 	}
		}
	}
	else $grandeur_slider = "";
	
	//Sidebar
	if (isset($pagecustoms["grandeur_activate_sidebar"])){$sideo = $pagecustoms['grandeur_sidebar_orientation'];}else{$sideo = "";}
	if (isset($pagecustoms["grandeur_activate_sidebar"])){$sidebar = $pagecustoms["grandeur_sidebar"];}else{$sidebar = "Page Sidebar";}
	if (isset($pagecustoms["grandeur_activate_sidebar"])){
		$grandeur_activate_sidebar="on";
		$sidebar_orientation = $pagecustoms["grandeur_sidebar_orientation"];
		$sidebar = $pagecustoms["grandeur_sidebar"];
	}
	else {
		$grandeur_activate_sidebar="off";
	}

	get_header();
?>

<!--
########################################
    -	THE MAIN HOME CONTENT  -
########################################
-->

<?php if ($headline!="off"){ ?>
	<!-- Page Title -->  
    <div class="row pagetitle"><h1 style="<?php echo $torient;?>"><?php echo $htitle;?></h1></div>
<?php } ?>

<?php if($grandeur_slider!=""){ ?>
	<!--
	########################################
        -	HOME SLIDER  -
    ########################################
    -->
    
    <div class="row homeslider">
    	<?php echo do_shortcode('[rev_slider '.$grandeur_slider.']'); ?>
    </div>
    <div class="row firstdivider"></div>
<?php } ?>



<?php if (in_array("Text Area",$home_modules)){ ?>
    <!--
    ########################################
        -	TEXT AREA MODULE  -
    ########################################
    -->
    
    <div class="row textcontent">
        <?php if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="right") { ?><div class="span9 left"><div class="pagewrapright">
        <?php } else if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="left") { ?><div class="span9 right"><div class="pagewrapleft">
        <?php } else { ?><div class="span12"><?php } ?>
        
        <!-- Content -->
        <?php if(have_posts()) :
                    while(have_posts()) : the_post();
                        $content = parse_shortcode_content( get_the_content($post->ID) );
                        echo do_shortcode($content);
                    endwhile;  //have_posts
                else : ?>
                    <div class="span12">
                    <p><?php _e('Oops, we could not find what you were looking for...', 'grandeur'); ?></p>
                </div>
        <?php endif; ?>
    
        <?php if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="right") { ?></div></div>
        <?php } else if ($grandeur_activate_sidebar=="on" && $sidebar_orientation =="left") { ?></div></div>
        <?php } else { ?></div><?php } ?>
        
        <?php if ($grandeur_activate_sidebar=="on"){?>
        <!-- Sidebar -->
        <div class="span3 right sidebar">
            <div class="row">
                <?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar($sidebar) ) : ?>
                    <div class="span3 widget">
                        <div class="footertitle"><h4>Sidebar Widget Area</h4></div>
                        <div class="widgetclass">
                        Please configure this Widget Area in the Admin Panel under Appearance -> Widgets
                        </div><div class="clear"></div>
                    </div>
                <?php endif; ?>
            </div>
        </div>
        <?php } ?>
    </div>
      	
<?php if(end($home_modules) != "Text Area"){ echo '<!-- Page Divider --><div class="row pagedivider"></div>'; } ?>

<?php } ?>



<?php if (in_array("Portfolio",$home_modules)){ ?>
	<!--
    ########################################
        -	PORTFOLIO MODULE  -
    ########################################
    -->  
    
	<?php if ($home_portfoliotitle != ""){ ?>
    <!-- Module Title -->  
    <div class="row moduletitle">
        <div class="titletext"><h2><?php echo $home_portfoliotitle ?></h2></div>
        <?php if($home_portfoliotitletagtext!=""){ echo '<div class="linktext"><a href="'.$home_portfoliotitletagurl.'">'.$home_portfoliotitletagtext.'</a></div>'; } ?>
    </div>
    <?php } ?>
    
    <?php
    $ptype = $pagecustoms['grandeur_portfolio'];
	$pcat = "category_".$ptype;

	if(isset($pagecustoms["grandeur_portfolio_display_type"])) $grandeur_portfolio_display_type = $pagecustoms["grandeur_portfolio_display_type"];
	else $grandeur_portfolio_display_type = 4;
	
	switch($grandeur_portfolio_display_type){
		case "5":
			$display_span = "fivecol";
		break;
		case "4":
			$display_span = "fourcol";
		break;
		case "3":
			$display_span = "threecol";
		break;
	}

	if(isset($pagecustoms["grandeur_activate_portfolio_category"])) $grandeur_portfolio_category = "Off";
	else $grandeur_portfolio_category = "On";

	$tax_terms = get_terms($pcat);
	if($grandeur_portfolio_category == "Off"){
		$display="style='display:none;'";
	} else {
		$display="";
	}
    ?>  
    
    <!-- Portfolio -->  
    <div class="row <?php echo $display_span; ?> portfoliowrap">

        <!-- Category Filter -->
        <ul class="portfoliofilter clearfix" <?php echo $display; ?>>
            <?php
			if($grandeur_all!="" ){ echo '<li><a class="selected" data-filter="*" href="#">'.$grandeur_all.'</a><span></span></li>'; }
			if(is_array($tax_terms)){
				foreach ( $tax_terms as $tax_term ) {
					$filter_last_item = end($tax_terms);
					if($tax_term!=$filter_last_item){
						echo '<li><a data-filter=".'.$tax_term->slug.'" href="#">'.$tax_term->name.'</a><span></span></li>';
					}else{
						echo '<li><a data-filter=".'.$tax_term->slug.'" href="#">'.$tax_term->name.'</a></li>';
					}
				}
			}
			?>
        </ul>
		
        <!-- Portfolio Items -->
        <div class="portfolio">
        	
            <?php
			$args=array(
				'post_type' => $ptype,
				'posts_per_page' => $home_portfoliocount 
			);
			$temp = $wp_query;
			$wp_query = null;
			$wp_query = new WP_Query();
			$wp_query->query($args);
			?>
            
			<?php if ($wp_query->have_posts()) : ?>
            <?php while ( $wp_query->have_posts() ) : $wp_query->the_post(); 
            
				$postcustoms = getOptions($post->ID);
				
				//Post Type
				if(isset($postcustoms["grandeur_post_type"])){
					switch ($postcustoms["grandeur_post_type"]) {
						case 'video':
							if($postcustoms["grandeur_video_type"]=="youtube") $blogimageurl_pp = "http://www.youtube.com/watch?v=".$postcustoms["grandeur_youtube_id"];
							elseif($postcustoms["grandeur_video_type"]=="vimeo") $blogimageurl_pp = "http://vimeo.com/".$postcustoms["grandeur_vimeo_id"];
							else $blogimageurl_pp = wp_get_attachment_url( get_post_thumbnail_id($post->ID));															
						break;
						default:
							$blogimageurl_pp = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
						break;
					}
				}
				
				//Post Features
				if(isset($postcustoms["grandeur_item_categories"])) $grandeur_item_categories = "Off";
				else $grandeur_item_categories = "On";
				
				if(isset($postcustoms["grandeur_item_features"])) $grandeur_item_features = $postcustoms['grandeur_item_features'];
				else $grandeur_item_features = "linkzoom";
				
				$p_linkactive = "Off";
				$p_zoomactive = "Off";
				if($grandeur_item_features=="link" || $grandeur_item_features=="linkzoom"){ $p_linkactive = "On"; }
				if($grandeur_item_features=="zoom" || $grandeur_item_features=="linkzoom"){ $p_zoomactive = "On"; }
				
				if($grandeur_item_features=="linkzoom"){ $notalonemod = "notalone"; } else { $notalonemod = ""; }
				
				$blogimageurl = aq_resize(wp_get_attachment_url( get_post_thumbnail_id($post->ID)),400,$portfolioheightlock,true);
				
				if($blogimageurl==""){
					$blogimageurl = $template_uri.'/img/demo/400x300.jpg';
				}
				
				$categorylinks = get_the_term_list( $post->ID, $pcat, '', ', ', '' );
				$categories = get_the_terms($post->ID,$pcat);
				$categorylist="";
				if(is_array($categories)){
					foreach ($categories as $category) {
						$categorylist.= $category->slug." ";
					}
				}

			?>
										
            <div class="entry <?php echo $categorylist; ?>">
            	<div class="mediaholder">
                	<img src="<?php echo $blogimageurl; ?>" alt="">
                    <div class="cover"></div>
                    <?php if($p_linkactive=="On"){ ?><a href="<?php the_permalink(); ?>"><div class="link <?php echo $notalonemod; ?>"></div></a><?php } ?>
                    <?php if($p_zoomactive=="On"){ ?><a title="<?php the_title(); ?>" href="<?php echo $blogimageurl_pp; ?>" data-rel="prettyPhoto[prettyphoto_gallery]"><div class="show <?php echo $notalonemod; ?>"></div></a><?php } ?>
                    <h5 class="itemtitle"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a><?php if($grandeur_item_categories=="On"){ ?><span class="itemcategories"><?php echo $categorylinks ?></span><?php } ?></h5>
                </div>
            </div>
            
            <?php endwhile; endif; //have_posts ?>
			<?php 
            $wp_query = null; 
            $wp_query = $temp;
            wp_reset_query();
            ?>

        </div>
    </div>
    
    <?php if(end($home_modules) != "Portfolio"){ echo '<!-- Page Divider --><div class="row pagedivider"></div>'; } ?>

<?php } ?>



<?php if (in_array("Blog",$home_modules)){ ?>
    <!--
    ########################################
        -	BLOG MODULE  -
    ########################################
    -->  

	<?php if ($home_blogtitle != ""){ ?>
    <!-- Module Title -->  
    <div class="row moduletitle">
        <div class="titletext"><h2><?php echo $home_blogtitle ?></h2></div>
        <?php if($home_blogtitletagtext!=""){ echo '<div class="linktext"><a href="'.$home_blogtitletagurl.'">'.$home_blogtitletagtext.'</a></div>'; } ?>
    </div>
    <?php } ?>
    
    <?php
	switch($home_bloglayout){
		case "One":
			$homenews_span = "span12";
		break;
		case "Two":
			$homenews_span = "span6";
		break;
		case "Three":
			$homenews_span = "span4";
		break;
		case "Four":
			$homenews_span = "span3";
		break;
	}
	?>
    
    <!-- Blog Posts -->  
    <div class="row homeposts">
    
        <?php
    	$newsargs = array( 'numberposts' => $home_blogcount, 'orderby' => 'post_date', 'post_type' => 'post' );
		$newslist = get_posts( $newsargs );
		
		foreach ($newslist as $newspost) :  setup_postdata($newspost);
		
			$newspostcustoms = getOptions($newspost->ID);
			$newscategory = get_the_category($newspost->ID);
			$newsfirst_category = $newscategory[0]->cat_name;
			$newsrepl = strtolower((preg_replace('/\s+/', '-', $newsfirst_category)));
			$newsbase = home_url();
			$newsimageurl = wp_get_attachment_url( get_post_thumbnail_id($newspost->ID) ); 
			
			$post_time_day = date_i18n('j', strtotime($newspost->post_date_gmt));
			$post_time_month = date_i18n('M', strtotime($newspost->post_date_gmt));
			$post_time_year = date_i18n('Y', strtotime($newspost->post_date_gmt));

			$newsexcerpt = excerpt(15);
			$thenewsimageurl = aq_resize( $newsimageurl, 50, 50, true );
			
			$newscatlist = "";
			foreach((get_the_category($newspost->ID)) as $category) { 
            	$newscatlist .= ', <a href="'.get_category_link($category->term_id ).'">'.$category->cat_name.'</a>';
            } 
           	$newscatlist = substr($newscatlist, 2);
		?>
        
            <div class="homepost <?php echo $homenews_span ?>">
                <div class="date">
                    <?php if($thenewsimageurl!=""){ ?><img src="<?php echo $thenewsimageurl ?>" alt=""> <?php } ?>
                    <div class="month"><?php echo $post_time_month;?></div><div class="day"><?php echo $post_time_day;?></div><div class="year"><?php echo $post_time_year;?></div>
                </div>
                <div class="post">
                    <div class="postbody">
                        <h4><a href="<?php echo $newsbase.'/'.$newsrepl.'/'.$newspost->post_name ?>"><?php echo $newspost->post_title ?></a></h4>
                        <div class="posttext"><?php echo excerpt(20); ?></div>
                        <div class="postinfo">
                        	<div class="categories"><i class="icon-folder-open"></i><?php echo $newscatlist; ?></div>
                            <div class="readmore"><a href="<?php echo $newsbase.'/'.$newsrepl.'/'.$newspost->post_name ?>"><?php echo $grandeur_readmore ?></a></div> 
                        </div>
                    </div>
                </div>
            </div>
            
		<?php endforeach; ?>
    </div>
    
    <?php if(end($home_modules) != "Blog"){ echo '<!-- Page Divider --><div class="row pagedivider"></div>'; } ?>

<?php } ?>



<?php if (in_array("Clients",$home_modules)){ ?>
    <!--
    ########################################
        -	CLIENTS MODULE  -
    ########################################
    -->  

	<?php if ($home_clientstitle != ""){ ?>
    <!-- Module Title -->  
    <div class="row moduletitle">
        <div class="titletext"><h2><?php echo $home_clientstitle ?></h2></div>
        <?php if($home_clientstitletagtext!=""){ echo '<div class="linktext"><a href="'.$home_clientstitletagurl.'">'.$home_clientstitletagtext.'</a></div>'; } ?>
    </div>
    <?php } ?>
    
    <!-- Clients -->
    <div class="row clients">
    	
        <?php
		if ( function_exists( 'get_option_tree' ) ) {
			$clientsnum = 0;
			echo '<ul class="clients">';
			foreach( $grandeur_clients as $client ) {
				if($clientsnum < $home_clientsnum){
					if($client['image']==""){
						$client['image'] = $template_uri.'/img/demo/210x130.jpg';
					}
					echo '<li><a href="'.$client['link'].'" data-rel="tooltip" title="'.$client['description'].'"><div class="client"><img src="'.$client['image'].'" alt="'.$client['title'].'"/></div></a></li>';
					$clientsnum++;
				}
			}
			echo '</ul>';
		}
		?>	
    </div>
    
    <?php if(end($home_modules) != "Clients"){ echo '<!-- Page Divider --><div class="row pagedivider"></div>'; } ?>
    
<?php } ?>
    
	<!-- Bottom Spacing -->
    <div class="row top80"></div>

</div><!-- /container -->

<?php get_footer(); ?>